clear freq kzax spec_xx spec_yy spec_xy CS QS

[spec_xx,spec_yy,spec_xy,kzax] = powercospec(x,y,parameters.fftpt,parameters.dz,2);
freq=kzax/(2*pi);

spec_xx=spec_xx';
spec_yy=spec_yy';
spec_xy=spec_xy';

clear CS QS
CS=real(spec_xy);  % co-spectrum
QS=-imag(spec_xy); % quad-spectrum

spec=spec_xx+spec_yy;
spec_CCW=(spec_xx+spec_yy+2.*QS)/2; % positive (ACW) frequency spectrum
spec_CW=(spec_xx+spec_yy-2.*QS)/2; % negative (CW) frequency spectrum