%program to compute T-S diagram
function theta_sdiag(theta,s)
%% generating background density contours

load TS.dat

 salinity= TS(:,2);
 temperature= TS(:,1);
%dates=T_S_monthly_NR(:,5)+731367;

 %strdt=datestr(dates,19);
%pause
% theta=theta(:);
% s=s(:);
smin=min(salinity)-0.01.*min(salinity);
smax=max(salinity)+0.01.*max(salinity);
thetamin=min(temperature)-0.1*max(temperature);
thetamax=max(temperature)+0.1*max(temperature);
xdim=round((smax-smin)./0.1+1);
ydim=round((thetamax-thetamin)+1);
dens=zeros(ydim,xdim);
thetai=((1:ydim)-1)*1+thetamin;
si=((1:xdim)-1)*0.1+smin;
disp(xdim);disp(ydim);
for j=1:ydim
    for i=1:xdim
        dens(j,i)=sw_dens(si(i),thetai(j),0);
    end
end

dens=dens-1000;
[c,h]=contour(si,thetai,dens,'k');
clabel(c,h,'LabelSpacing',1000,'FontSize',13);
xlabel('Salinity','FontWeight','bold','FontSize',18);
ylabel('Temperature','FontWeight','bold','FontSize',18);

%% plotting scatter plot of theta and s;

hold on;
%scatter(s1,theta1,'.');
scatter(salinity,temperature,'.');



%text(s,theta,num2str(strdt),'HorizontalAlignment','center','FontSize',15);
clear s1 theta1 salinity temperature;